package com.jay.monitor.data.server.models.request.trace;

import com.jay.monitor.data.server.anno.ESSearch;
import com.jay.monitor.data.server.enums.ESQuerySyntax;
import jdk.nashorn.internal.ir.annotations.Ignore;

import java.util.Date;

public class PageRequest extends SearchFiledRequest {

    @Ignore
    private Integer pageSize = 10;
    @Ignore
    private Integer pageNo = 1;

    @ESSearch(fieldName = "createDate", value = ESQuerySyntax.gt)
    private Date startDate;

    @ESSearch(fieldName = "createDate", value = ESQuerySyntax.lt)
    private Date endDate;

    @Ignore
    private String rangTime;

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public String getRangTime() {
        return rangTime;
    }

    public void setRangTime(String rangTime) {
        this.rangTime = rangTime;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
